Subject: re:drivers and support

From: [email-masked] (andrew longhorn )
Date: Sat, 29 Aug 92 09:43:35 EST

I will be butchering one of my not-100% gloves to make a crude
head-tracker (as discussed before by several people). Will there be support
for this as well? (It should be only a minor addition, but would be good
as a standard driver).

I was thinking the only real logical choices would be all with senders mounted
on the glasses:

1) triangle on ceiling:
     + very good horizontal plane head movement tracking. (x,y)
     + crude head rotation (rot)
     + semi-useful duck/tippytoe info (z)
     - may be some interference with glove tracking.
   head rotation can be simulated be other means using the other triangle
   locations (see below), but maybe this would be good if we also used
   some of the finger sensors as head tilt measurements?

2) triangle to either side:
     + very good tracking fwd/bwd and up/down (x,y)
     + crude head tilt (fwd/bwd)
     - not as reliable side to side tracking (z)
     - some other problems and interference again
   probably not my choice.

3) triangle behind head:
     + very good side-side/up-down head tracking. (x,y)
     + crude head tilt (side/side)
     + least interference with glove
     - not as good fwd/bwd tracking (z).
   head rotation into screen can be crudely simulated by assuming that head
   will always be rotated toward screen regardless of position of head. With
   this assumption eye locations can be easily guessed. A drawback of this is
   that if you don't change position but rotate your head, the guessing factor
will move your view the opposite way.

I think the most important points are (in order):
   1) side to side parallax    (to keep objects stationary)
       - most common movement to see around objects and line things up in
         the z-plane
   2) distance from screen     (to stop objects stretching)
       - to improve solid world feeling
   3) vertical movement        (again to stop objects moving)
       - not used as much because people tend not to duck or stretch to see
         under and over things
   4) head tilt (side/side)    (for stereoscopic viewing)
       - important when using shutter glasses, but our brains seem to be able
         to fuse the image fairly well from upto a maximum of 20-30 degrees
         either side.
   5) head rotation            (image appearance)
       - in most cases can be safely simulated with head position (rock from
         side to side while reading this).
   6) head dip (fwd/bwd)
       - probably not used much (except to look at keys but then you aren't
         looking at the screen). Safely simulated by head position.

Looking at the positions of the triangle and the criteria above, position 1
seems to cover 1,2 & 3 best, and with some head tilt measure added would
probably be the best (as long as the interference wasn't too great).
And I think position 3 would be second best, for what it looses in fwd/bwd
tracking, it gains in head tilt measurement. (which position 1 can't do).

Any ideas?